Visualizzazione risultati 1 fino 4 di 4

Discussione: Quale versione di OpenSSL?

  1. #1
    L'avatar di dreadnaut
    dreadnaut non è connesso Super Moderatore
    Data registrazione
    22-02-2004
    Messaggi
    5,950

    Predefinito Quale versione di OpenSSL?

    Buondì Altervista, come va?

    Sto giocando con micropub ed IndieAuth in questi giorni, ma mi sono scontrato con la libreria SSL disponibile sui server, che sembra non supportare TLS 1.2, o forse uno dei cipher più moderni, richiesti da questi servizi.

    Secondo questa discussione del 2015 la versione era 0.9.8e-fips-rhel5 01 Jul 2008, ma nel 2016 era "disponibile una versione di OpenSSL più recente." Guardando il mio phpinfo() però, mi ritrovo esattamente con la stessa versione menzionata all'inizio.
    Codice:
    OpenSSL support          enabled
    OpenSSL Library Version  OpenSSL 0.9.8e-fips-rhel5 01 Jul 2008
    OpenSSL Header Version   OpenSSL 0.9.8e-fips-rhel5 01 Jul 2008
    Quale versione era stata installata nel 2016? Quale dovrei vedere?
    C'è un qualche bottone che mi sono dimenticato di premere? (php 5.6, nel caso faccia differenza)
    Ultima modifica di dreadnaut : 22-01-2018 alle ore 00.03.35
    chezDreadnaut
    "Un <BR/> è impuro, punto."
    "I <P>&nbsp;</P> non hanno diritto di esistere."

  2. #2
    darbula non è connesso AlterGuru
    Data registrazione
    24-04-2011
    Messaggi
    2,038

    Predefinito

    Si devi avere alterpages disabitato (io ero rimasto bloccato ma non sono sicuro di questo).. Devi aggiornare a MySQL5.6 che aggiorna pure OpenSSL (https CloudFlare ad esempio usa TLS 1.2).
    https://it.altervista.org/cplogin.php?redirect=/db.pl oppure con curl aggiungi un certificato ecc.. :D
    Ultima modifica di darbula : 22-01-2018 alle ore 00.17.33

  3. #3
    L'avatar di alemoppo
    alemoppo è connesso ora Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,783

    Predefinito

    Che piacere rivederti dreadnaut!

    Comunque sì, come detto da darbula prova aggiornando mysql all'ultima versione dal pannello. Aggiungo che ora siamo alla
    Codice:
    OpenSSL 1.0.2k-fips 26 Jan 2017
    Ciao!
    Ultima modifica di alemoppo : 22-01-2018 alle ore 00.22.30

  4. #4
    L'avatar di dreadnaut
    dreadnaut non è connesso Super Moderatore
    Data registrazione
    22-02-2004
    Messaggi
    5,950

    Predefinito

    Ciao Ale! In realtà passo di qua ogni tanto, ma scrivo di rado: siete troppo veloci a rispondere!

    Confermo che l'upgrade a MySql 5.6 ha portato OpenSSL ad una nuova versione, nel mio caso
    Codice:
    OpenSSL 1.0.1e-fips 11 Feb 2013
    E questo risolve il mio problema, grazie!
    chezDreadnaut
    "Un <BR/> è impuro, punto."
    "I <P>&nbsp;</P> non hanno diritto di esistere."

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •